﻿using System;
using System.Collections.Generic;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Schedule_Type
{
	public class Schedule_SamplePage : ContentPage
	{
		SfSchedule schedule;
		ListView scheduleview_List;

		public Schedule_SamplePage()
		{
			// Intialize Schedule
			schedule = new SfSchedule();

			// List
			List<String> list = new List<String>();
			list.Add("DayView");
			list.Add("WeekView");
			list.Add("WorkWeekView");
			list.Add("MonthView");

			// ListView
			scheduleview_List = new ListView();
			scheduleview_List.HasUnevenRows = false;
			scheduleview_List.HeightRequest = 200;
			scheduleview_List.RowHeight = 50;
			scheduleview_List.WidthRequest = 200;
			scheduleview_List.SeparatorVisibility = SeparatorVisibility.Default;
			scheduleview_List.SeparatorColor = Color.Blue;
			scheduleview_List.BackgroundColor = Color.White;

			scheduleview_List.ItemsSource = list;
			scheduleview_List.SelectedItem = 0;

			scheduleview_List.ItemSelected += Scheduleview_List_ItemSelected;

			// UI View 
			StackLayout stack = new StackLayout();
			stack.Orientation = StackOrientation.Vertical;

			stack.Children.Add(scheduleview_List);
			stack.Children.Add(schedule);

			this.Content = stack;
		}

		void Scheduleview_List_ItemSelected(object sender, SelectedItemChangedEventArgs e)
		{
			if ((sender as ListView).SelectedItem == (object) "DayView")
			{
				schedule.ScheduleView = ScheduleView.DayView;
			}
			else if ((sender as ListView).SelectedItem == (object)"WeekView")
			{
				schedule.ScheduleView = ScheduleView.WeekView;
			}
			else if ((sender as ListView).SelectedItem == (object)"WorkWeekView")
			{
				schedule.ScheduleView = ScheduleView.WorkWeekView;
			}
			else if ((sender as ListView).SelectedItem == (object)"MonthView")
			{
				schedule.ScheduleView = ScheduleView.MonthView;
			}
		}

	}
}

